List Tags
curl --request POST \
--url https://cloudapi.mailercloud.com/v1/tags/search \
--header 'Authorization: <api-key>' \
--header 'Content-Type: <content-type>' \
--data '
{
"limit": 10,
"page": 1,
"search": "string"
}
'import requests
url = "https://cloudapi.mailercloud.com/v1/tags/search"
payload = {
"limit": 10,
"page": 1,
"search": "string"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<api-key>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<api-key>'},
body: JSON.stringify({limit: 10, page: 1, search: 'string'})
};
fetch('https://cloudapi.mailercloud.com/v1/tags/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloudapi.mailercloud.com/v1/tags/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'limit' => 10,
'page' => 1,
'search' => 'string'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: <content-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloudapi.mailercloud.com/v1/tags/search"
payload := strings.NewReader("{\n \"limit\": 10,\n \"page\": 1,\n \"search\": \"string\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "<content-type>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"count": 0,
"data": {
"id": "string",
"tag_name": "string"
}
}{
"errors": [
{
"field": "",
"message": "Invalid input"
}
]
}{
"errors": [
{
"field": "",
"message": "Authorization failed"
}
]
}List Tags
Using this API, you can list all the tags of your contacts and campaign in your Mailercloud account
POST
/
tags
/
search
List Tags
Authorizations
Your Mailercloud API key (plain text, no Bearer prefix). Create keys in Settings → API.
Headers
Request body type
Body
application/json
Maximum number of elements to return
Required range:
10 <= x <= 100You can retrieve a subset of records starting from the page value you have specified. You can add a limit, which will determine the number of records you can retrieve on a single page.
Required range:
x >= 1Filter list by name , giving name in search keyword